# purefb_bucket – Manage Object Store Buckets on a Pure Storage FlashBlade

New in version 2.8.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- This module managess object store (s3) buckets on Pure Storage FlashBlade.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7
- purity_fb >= 1.1

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
account string / required |  | Object Store Account for Bucket.
api_token string |  | FlashBlade API token for admin privileged user.

eradicate
boolean

Choices:
- no ←
- yes

Define whether to eradicate the bucket on delete or leave in trash.

fb_url string |  | FlashBlade management IP address or Hostname.
name string / required |  | Bucket Name.

state
string

Choices:
- present ←
- absent

Create, delete or modifies a bucket.

## Notes

Note

- This module requires the `purity_fb` Python library
- You must set `PUREFB_URL` and `PUREFB_API` environment variables if fb_url and api_token arguments are not passed to the module directly

## Examples

    - name: Create new bucket named foo in account bar
      purefb_bucket:
        name: foo
        account: bar
        fb_url: 10.10.10.2
        api_token: T-55a68eb5-c785-4720-a2ca-8b03903bf641

    - name: Delete bucket named foo in account bar
      purefb_bucket:
        name: foo
        account: bar
        state: absent
        fb_url: 10.10.10.2
        api_token: T-55a68eb5-c785-4720-a2ca-8b03903bf641

    - name: Recover deleted bucket named foo in account bar
      purefb_bucket:
        name: foo
        account: bar
        state: present
        fb_url: 10.10.10.2
        api_token: T-55a68eb5-c785-4720-a2ca-8b03903bf641

    - name: Eradicate bucket named foo in account bar
      purefb_bucket:
        name: foo
        account: bar
        state: absent
        eradicate: true
        fb_url: 10.10.10.2
        api_token: T-55a68eb5-c785-4720-a2ca-8b03903bf641

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Pure Storage Ansible Team (@sdodsley) <pure-ansible-team@purestorage.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.